%define name	goggles
%define version	0.8.0
%define release 2mdk

Name: 	 	%{name}
Summary: 	DVD playing interface
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.fifthplanet.net/goggles.html
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	libfox-devel >= 1.4.0
BuildRequires:	libdxr3-devel libdvdcontrol-devel libmsgevents-devel
Requires:	ogle

%description
Goggles is a frontend for the Ogle DVD player. It supports all the features
that Ogle provides, including bookmarks, and adds automatic starting,
automatic bookmarks, a convenient preferences panel for setting keyboard
shortcuts, DXR3 settings, and language and country preferences.

%prep
%setup -q
chmod 644 AUTHORS NEWS README desktop/* ChangeLog icons/*
perl -p -i -e "s/-O2/%optflags/g" build/config.linux

%build
./gb --with-xv=yes --with-dxr3=yes
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
install -m 755 src/ogle_gui_goggles $RPM_BUILD_ROOT/%_bindir/
sed "s|@prefix@|/usr|" scripts/goggles.in > %{buildroot}/%{_bindir}/%name
chmod 755 %buildroot/%{_bindir}/%name

mkdir -p %{buildroot}%{_datadir}/applications
cp -p desktop/goggles.desktop %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/goggles
cp -p desktop/goggles_manual.pdf %{buildroot}%{_datadir}/goggles
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -p icons/dvd_small.png %{buildroot}%{_datadir}/pixmaps/goggles.png

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Goggles" longtitle="DVD Player" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/goggleslogosmall.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/goggleslogosmall.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/goggleslogosmall.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README desktop/*.pdf
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Mar 31 2005 Austin Acton <austin@mandrake.org> 0.8.0-2mdk
- initial package
